# NOTIFYD

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
NOTIFICATION METHODS
FILES
SEE ALSO

## NAME

| notifyd − Cyrus notification server

## SYNOPSIS

| notifyd [ −C config-file ] [ −U uses ] [ −T timeout ] [ −D ]

## DESCRIPTION

Notifyd is a daemon started from master(8) that handles notification requests on behalf of lmtpd(8). Notifyd accepts the request and performs the notification using the method specified in the request.

Note that for notifyd to run properly you must set proto=udp in its cyrus.conf services entry. prefork=1 is also recommended.

Notifyd reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C. The notifysocket option is used to specify the Unix domain socket to listen on for notifications.

## OPTIONS

| −C config-file

| Read configuration options from config-file.

| −U uses

| The maximum number of times that the process should be used for new connections before shutting down. The default is 250.

| −T timeout

| The number of seconds that the process will wait for a new connection before shutting down. Note that a value of 0 (zero) will disable the timeout. The default is 60.

| −D |  | Run external debugger specified in debug_command. |

## NOTIFICATION METHODS

| null | Ignore the notification request.
| log | Log the notification to syslog (for testing).
| mailto | Email the notification. This method can ONLY be used in a Sieve ’notify’ action as it requires a mailto: URL to be specified as an :option.
| zephyr | Send the notification as a zephyrgram. If used in a Sieve ’notify’ action, additional recipients can be specified as :options.

## FILES

| /etc/imapd.conf

| Default configuration file.

| /etc/cyrus.conf

| Cyrus Master process configuration file.

## SEE ALSO

| imapd.conf(5), cyrus.conf, master(8), lmtpd(8)